package com.amadesa.common;

import org.springframework.test.AbstractDependencyInjectionSpringContextTests;

/**
 * The super class of all Spring Dependency Injection related TestCase(s).
 *
 * @see {@link junit.framework.TestCase}
 * @see {@link org.springframework.test.AbstractDependencyInjectionSpringContextTests}
 *
 *
 */
public class AbstractDependencyInjection extends AbstractDependencyInjectionSpringContextTests {

	public AbstractDependencyInjection() {
		super();
	}
	
//	public void setApplicationContext(ConfigurableApplicationContext applicationContext) {
//		this.applicationContext = applicationContext;
//	}

	public AbstractDependencyInjection(String name) {
		super(name);
	}
	
	protected String[] getConfigLocations() {
		return new String[] {"spring/applicationContext-test.xml"};
	}
}
